## grandorgue 3.6.3

=== debian/changelog ===
grandorgue (3.6.3-1) unstable; urgency=medium

  * New upstream version 3.6.3

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 05 Mar 2022 00:18:31 +0100

## grandorgue 3.6.4

=== debian/changelog ===
grandorgue (3.6.4-1) unstable; urgency=medium

  * New upstream version 3.6.4
  * d/copyright: reflect upstream changes
  * Use packaged version of zita-convolver library
    + Add Build-Depends on libzita-convolver-dev
    + use-system-zita-convolver.patch: new patch to the build system
  * Ship GrandOrguePerfTest tool
    + link-perftest-against-jackd.patch: new patch, fixes underlinking issue
    + d/grandorgue.install: ship .wav for perftests

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 23 Mar 2022 14:23:20 +0100

## grandorgue 3.6.5

=== debian/changelog ===
grandorgue (3.6.5-1) unstable; urgency=medium

  * New upstream version 3.6.5
  * use-system-zita-convolver.patch: drop patch, no longer needed.
    There is now a CMake flag to use the system-wide zita-convolver library.
  * link-perftest-against-jackd.patch: drop patch, applied upstream

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 17 Apr 2022 20:39:46 +0200

## grandorgue 3.6.6

=== CMakeLists.txt ===
# GrandOrgue - free pipe organ simulator
# 
# Copyright 2006 Milan Digital Audio LLC
# Copyright 2009-2019 GrandOrgue contributors (see AUTHORS)
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

cmake_minimum_required(VERSION 3.10)

# Project version numbers
if(NOT DEFINED VERSION)
  file(STRINGS "version.txt" VERSION)
  if(NOT VERSION)
    message(FATAL_ERROR "Unable to get version from version.txt")
  endif()
endif()

project(
  GrandOrgue
  VERSION "${VERSION}"
  DESCRIPTION "GrandOrgue - free pipe organ simulator"
  LANGUAGES CXX C
)
set(NUM_VERSION "${PROJECT_VERSION}")
string(REPLACE "." "," NUM_WIN_VERSION ${NUM_VERSION})

if(NOT DEFINED BUILD_VERSION)
  set(BUILD_VERSION "0.local")
elseif(NOT BUILD_VERSION)
  set(BUILD_VERSION "0.0")
endif()

set(FULL_VERSION "${PROJECT_VERSION}-${BUILD_VERSION}")

# Build configuration options
option(RTAUDIO_USE_CORE       "Enable RtAudio support for Core Audio (Rt and PortAudio - OS X only)" ON)
option(RTAUDIO_USE_JACK       "Enable RtAudio support for Jack (Rt and PortAudio)" ON)
option(RTAUDIO_USE_OSS        "Enable RtAudio support for OSS (Rt and PortAudio - Linux only)" OFF)
option(RTAUDIO_USE_ALSA       "Enable RtAudio support for ALSA (Rt and PortAudio - Linux only)" ON)
option(RTAUDIO_USE_DSOUND     "Enable RtAudio support for DirectSound (Rt and PortAudio - Windows only)" ON)
option(RTAUDIO_USE_ASIO       "Enable RtAudio support for ASIO (Rt and PortAudio - Windows only)" ON)
option(RTAUDIO_USE_WMME       "Enable RtAudio support for WMME (PortAudio only - Windows only)" ON)
option(RTAUDIO_USE_WDMKS      "Enable RtAudio support for WDMKS (PortAudio only - Windows only)" ON)
option(RTAUDIO_USE_WASAPI     "Enable RtAudio support for WASAPI (PortAudio only - Windows only)" ON)
option(RTMIDI_USE_CORE        "Enable RtMidi support for Core Audio (OS X only)" ON)
option(RTMIDI_USE_JACK        "Enable RtMidi support for Jack" ON)
option(RTMIDI_USE_ALSA        "Enable RtMidi support for ALSA (Linux only)" ON)
option(RTMIDI_USE_MM          "Enable RtMidi support for MM (Windows only)" ON)
option(USE_INTERNAL_RTAUDIO   "Use builtin RtAudio/RtMidi sources" ON)
option(INSTALL_DEMO           "Install demo sampleset" ON)
option(USE_INTERNAL_PORTAUDIO "Use builtin PortAudio sources" ON)
option(USE_INTERNAL_ZITACONVOLVER "Use builtin Zita Convolver sources" ON)
option(GO_USE_JACK	      "Use native Jack output" ON)
if (WIN32 OR APPLE)
   option(INSTALL_DEPEND      "Copy dependencies (wxWidgets libraries and Translations) on installation" ON)
else ()
   option(INSTALL_DEPEND      "Copy dependencies (wxWidgets libraries and Translations) on installation" OFF)
endif ()
option(GO_SEPARATE_LINUX_PACKAGES "Generate separate linux packages for resources and demo" OFF)

# only use options supported by the compiler
include(CheckIncludeFileCXX)
include(CheckFunctionExists)
include(FindPkgConfig)
include(${CMAKE_SOURCE_DIR}/cmake/AddOption.cmake)
include(${CMAKE_SOURCE_DIR}/cmake/AddCXXOption.cmake)
include(${CMAKE_SOURCE_DIR}/cmake/FindTools.cmake)
include(${CMAKE_SOURCE_DIR}/cmake/BuildLibrary.cmake)
include(${CMAKE_SOURCE_DIR}/cmake/BuildExecutable.cmake)

add_cxx_option(-std=c++11)
CHECK_INCLUDE_FILE_CXX(atomic HAVE_ATOMIC)
CHECK_INCLUDE_FILE_CXX(mutex HAVE_MUTEX)

IF (APPLE)
  set(BININSTDIR "${PROJECT_NAME}.app/Contents/MacOS")
  SET(LIBINSTDIR "${PROJECT_NAME}.app/Contents/MacOS")
  SET(RESOURCEINSTDIR "${PROJECT_NAME}.app/Contents/Resources")
  SET(RPATH_PREFIX "@executable_path")
ELSE()
  set(BININSTDIR "bin")
  IF (WIN32)
    SET(LIBINSTDIR "bin")
  ELSE ()
    SET(LIBINSTDIR "lib" CACHE STRING "library directory")
  ENDIF ()
  SET(RESOURCEINSTDIR "share/${PROJECT_NAME}")
  SET(RPATH_PREFIX "$ORIGIN")
ENDIF()
SET(BINDIR "${CMAKE_BINARY_DIR}/${BININSTDIR}")
SET(LIBDIR "${CMAKE_BINARY_DIR}/${LIBINSTDIR}")
SET(RESOURCEDIR "${CMAKE_BINARY_DIR}/${RESOURCEINSTDIR}")

if (APPLE AND INSTALL_DEPEND STREQUAL "ON")
  set(OBJECT_FIXUP_REQUIRED "ON")
else()
  set(OBJECT_FIXUP_REQUIRED "OFF")
endif()

file(RELATIVE_PATH RPATH "${BINDIR}" "${LIBDIR}")
SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
SET(CMAKE_SKIP_BUILD_RPATH  FALSE)
SET(CMAKE_INSTALL_RPATH "${RPATH_PREFIX}/${RPATH}")
SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH FALSE)

# setup compiler flags for debug vs release compiles
add_option(-Wall)
add_definitions(-DGO_STD_MUTEX)
if (CMAKE_BUILD_TYPE STREQUAL "Debug")
  add_option(-g3)
else()
  add_option(-O3)
  add_option(-g)
  add_definitions(-DNDEBUG)
  add_option(-fomit-frame-pointer)
  add_option(-funroll-loops)
  add_option(-ffast-math)
endif ()

if (RTAUDIO_USE_JACK OR RTMIDI_USE_JACK OR GO_USE_JACK)
  pkg_check_modules(JACK REQUIRED IMPORTED_TARGET jack)
endif()

# Add ASIO variable
if(WIN32 AND RTAUDIO_USE_ASIO)
  add_definitions(-DASIO_INCLUDED)
endif()

if(RTAUDIO_USE_ASIO AND NOT ASIO_SDK_DIR)
  set(ASIO_SDK_DIR "${CMAKE_SOURCE_DIR}/ext/rt/asio")
endif()

# include RtAudio
if (USE_INTERNAL_RTAUDIO)
  if(NOT RTAUDIO_SRC_DIR)
    set(RTAUDIO_SRC_DIR "${CMAKE_SOURCE_DIR}/submodules/RtAudio")
    if(NOT EXISTS "${RTAUDIO_SRC_DIR}/RtAudio.h")
      message(
        FATAL_ERROR 
        "${RTAUDIO_SRC_DIR}/RtAudio.h file does not exist."
        "Possible the RtAudio submodule has not been updated."
        "Try to execute 'git submodule update --init --recursive' in the source directory"
      )
    endif()
  endif()
  if(NOT RTMIDI_SRC_DIR)
    set(RTMIDI_SRC_DIR "${CMAKE_SOURCE_DIR}/submodules/RtMidi")
    if(NOT EXISTS "${RTMIDI_SRC_DIR}/RtMidi.h")
      message(
        FATAL_ERROR 
        "${RTMIDI_SRC_DIR}/RtMidi.h file does not exist."
        "Possible the RtMidi submodule has not been updated."
        "Try to execute 'git submodule update --init --recursive' in the source directory"
      )
    endif()
  endif()
  add_subdirectory(src/rt)
  set(RT_LIBRARIES RtAudio RtMidi)
  set(RT_INCLUDE_DIRS ${RTMIDI_SRC_DIR} ${RTAUDIO_SRC_DIR})
else()
  pkg_check_modules(RTAUDIO REQUIRED rtaudio)
  pkg_check_modules(RTMIDI REQUIRED rtmidi)
  set(RT_LIBRARIES ${RTAUDIO_LIBRARIES} ${RTMIDI_LIBRARIES})
  set(RT_INCLUDE_DIRS ${RTMIDI_INCLUDE_DIRS} ${RTAUDIO_INCLUDE_DIRS})
endif()

# include portaudio
if (USE_INTERNAL_PORTAUDIO)
  set(PORTAUDIO_INCLUDE_DIRS ${CMAKE_SOURCE_DIR}/submodules/PortAudio/include)
  add_subdirectory(src/portaudio)
  set(PORTAUDIO_LIBRARIES PortAudio)
else()
  pkg_check_modules(PORTAUDIO REQUIRED portaudio-2.0)
endif()

# include zitaconvolver
if (USE_INTERNAL_ZITACONVOLVER)
  set(ZITACONVOLVER_INCLUDE_DIRS ${CMAKE_SOURCE_DIR}/submodules/ZitaConvolver/source)
  set(ZITACONVOLVER_LIBRARIES "")
else()
  set(ZITACONVOLVER_INCLUDE_DIRS "")
  set(ZITACONVOLVER_LIBRARIES zita-convolver)
endif()

# include FFTW
pkg_check_modules(FFTW REQUIRED fftw3f)

pkg_check_modules(ZLIB REQUIRED zlib)

pkg_check_modules(WAVPACK REQUIRED wavpack)

find_package(wxWidgets REQUIRED base)
message(STATUS "  wxWidgets Unicode?          : ${wxWidgets_USE_UNICODE}")
message(STATUS "  wxWidgets Debug?            : ${wxWidgets_USE_DEBUG}")
message(STATUS "  wxWidgets Static linking    : ${wxWidgets_USE_STATIC}")
message(STATUS "  wxWidgets version           : ${wxWidgets_VERSION}")
message(STATUS "  wxWidgets config binary     : ${wxWidgets_CONFIG_EXECUTABLE}")
message(STATUS "  wxWidgets configuration     : ${wxWidgets_CONFIGURATION}")
message(STATUS "============================================================================")

add_subdirectory(src/build)
add_subdirectory(src/images)
add_subdirectory(src/core)
add_subdirectory(src/grandorgue)
add_subdirectory(src/tools)
add_subdirectory(po)
add_subdirectory(help)
add_subdirectory(sounds)
add_subdirectory(packages)
add_subdirectory(perftests)
add_subdirectory(resources)


# packaging

set(CPACK_PACKAGE_NAME "grandorgue")
set(CPACK_PACKAGE_VENDOR "Our Organ")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "GrandOrgue - OpenSource Virtual Pipe Organ Software")
set(
  CPACK_PACKAGE_DESCRIPTION
  "GrandOrgue is a virtual pipe organ sample player application supporting a HW1 compatible file format"
)
set(CPACK_PACKAGE_VERSION ${PROJECT_VERSION})
set(CPACK_PACKAGE_RELEASE ${BUILD_VERSION})

set(CPACK_PACKAGE_INSTALL_DIRECTORY "GrandOrgue")
set(CPACK_RESOURCE_FILE_LICENSE ${CMAKE_SOURCE_DIR}/LICENSE)
set(CPACK_PACKAGE_CONTACT "osamarin68@gmail.com")
set(CPACK_PACKAGE_EXECUTABLES "GrandOrgue" "GrandOrgue")

set(CPACK_SOURCE_IGNORE_FILES "/\\\\.git/" "/build/")

# components
set(CPACK_COMPONENTS_ALL Unspecified resources demo)
set(CPACK_COMPONENT_UNSPECIFIED_DISPLAY_NAME "GrandOrgue")

set(CPACK_COMPONENT_RESOURCES_DISPLAY_NAME "GrandOrgue Resource Files")
set(
  CPACK_COMPONENT_RESOURCES_DESCRIPTION
  "This package contains the various resource files for GrandOrgue"
)

set(CPACK_COMPONENT_DEMO_DISPLAY_NAME "GrandOrgue Demo Sampleset")
set(
  CPACK_COMPONENT_DEMO_DESCRIPTION 
  "This package contains the demo sampleset for GrandOrgue"
)

set(CPACK_COMPONENT_UNSPECIFIED_HIDDEN OFF)
set(CPACK_COMPONENT_UNSPECIFIED_DEPENDS resources)
set(CPACK_COMPONENT_DEMO_DEPENDS Unspecified)

if (APPLE)
   # see the following URL for information about these variables
   # https://developer.apple.com/library/mac/#documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
   set(BUNDLE_CFBundleShortVersionString ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_STAGE})
   set(BUNDLE_CFBundleVersion ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_STAGE})

   set(CPACK_PACKAGE_ICON "${RESOURCEDIR}/GrandOrgue.icns")

   configure_file(${CMAKE_SOURCE_DIR}/src/grandorgue/resource/Info.plist.in ${CMAKE_BINARY_DIR}/${PROJECT_NAME}.app/Contents/Info.plist)
   INSTALL(FILES ${CMAKE_BINARY_DIR}/${PROJECT_NAME}.app/Contents/Info.plist DESTINATION "${PROJECT_NAME}.app/Contents/")

  set (CPACK_SYSTEM_NAME "osx")
  set (CPACK_GENERATOR DragNDrop)

elseif (WIN32)

  if(CMAKE_BUILD_TYPE STREQUAL "Debug")
    set(CPACK_STRIP_FILES OFF)
  else()
    set(CPACK_STRIP_FILES ON)
  endif()

  set (CPACK_SYSTEM_NAME "windows")
  set (CPACK_GENERATOR ZIP NSIS)
  SET(CPACK_NSIS_EXTRA_INSTALL_COMMANDS "
    WriteRegStr HKCR \\\".organ\\\" \\\"\\\" \\\"GrandOrgue.odf\\\"
    WriteRegStr HKCR \\\".orgue\\\" \\\"\\\" \\\"GrandOrgue.package\\\"
    WriteRegStr HKCR \\\"GrandOrgue.odf\\\" \\\"\\\" \\\"GrandOrgue organ definition file\\\"
    WriteRegStr HKCR \\\"GrandOrgue.odf\\\\DefaultIcon\\\" \\\"\\\" \\\"$INSTDIR\\\\bin\\\\GrandOrgue.exe,0\\\"
    WriteRegStr HKCR \\\"GrandOrgue.odf\\\\shell\\\" \\\"\\\" \\\"open\\\"
    WriteRegStr HKCR \\\"GrandOrgue.odf\\\\shell\\\\open\\\\command\\\" \\\"\\\" '$INSTDIR\\\\bin\\\\GrandOrgue.exe \\\"%1\\\"'
    WriteRegStr HKCR \\\"GrandOrgue.package\\\" \\\"\\\" \\\"GrandOrgue organ package\\\"
    WriteRegStr HKCR \\\"GrandOrgue.package\\\\DefaultIcon\\\" \\\"\\\" \\\"$INSTDIR\\\\bin\\\\GrandOrgue.exe,0\\\"
    WriteRegStr HKCR \\\"GrandOrgue.package\\\\shell\\\" \\\"\\\" \\\"open\\\"
    WriteRegStr HKCR \\\"GrandOrgue.package\\\\shell\\\\open\\\\command\\\" \\\"\\\" '$INSTDIR\\\\bin\\\\GrandOrgue.exe \\\"%1\\\"'
  ")
  SET(CPACK_NSIS_EXTRA_UNINSTALL_COMMANDS "
    ReadRegStr $R0 HKCR \\\".organ\\\" \\\"\\\"
    StrCmp $R0 \\\"GrandOrgue.odf\\\" 0 +2
      DeleteRegKey HKCR \\\".organ\\\"
    ReadRegStr $R0 HKCR \\\".orgue\\\" \\\"\\\"
    StrCmp $R0 \\\"GrandOrgue.package\\\" 0 +2
      DeleteRegKey HKCR \\\".orgue\\\"

    DeleteRegKey HKCR \\\"GrandOrgue.odf\\\"

=== src/core/CMakeLists.txt ===
# Copyright 2006 Milan Digital Audio LLC
# Copyright 2009-2022 GrandOrgue contributors (see AUTHORS)
# License GPL-2.0 or later (https://www.gnu.org/licenses/old-licenses/gpl-2.0.html).

include(UsewxWidgets)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/go_defs.h.in ${CMAKE_CURRENT_BINARY_DIR}/go_defs.h/go_defs.h)
include_directories(${WAVPACK_INCLUDE_DIRS})
include_directories(${ZLIB_INCLUDE_DIRS})
include_directories(${CMAKE_CURRENT_BINARY_DIR}/go_defs.h)
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

set(src
contrib/sha1.cpp
threading/GOCondition.cpp
threading/GOMutex.cpp
threading/GOWaitQueue.cpp
threading/GOThread.cpp
threading/threading_impl.cpp
archive/GOArchive.cpp
archive/GOArchiveCreator.cpp
archive/GOArchiveFile.cpp
archive/GOArchiveIndex.cpp
archive/GOArchiveEntryFile.cpp
archive/GOArchiveManager.cpp
archive/GOArchiveReader.cpp
archive/GOArchiveWriter.cpp
GOCompress.cpp
config/GOConfigFileReader.cpp
config/GOConfigFileWriter.cpp
config/GOConfigReader.cpp
config/GOConfigReaderDB.cpp
config/GOConfigWriter.cpp
GOEventDistributor.cpp
GOHash.cpp
GOInvalidFile.cpp
GOKeyConvert.cpp
GOKeyReceiverData.cpp
GOLoadThread.cpp
GOMemoryPool.cpp
midi/GOMidiEvent.cpp
midi/GOMidiFileReader.cpp
midi/GOMidiMap.cpp
midi/GOMidiReceiverBase.cpp
midi/GOMidiReceiverData.cpp
midi/GOMidiSenderData.cpp
midi/GOMidiWXEvent.cpp
GOOrgan.cpp
GOOrganList.cpp
GOPath.cpp
GORodgers.cpp
GOSampleStatistic.cpp
settings/GOSetting.cpp
settings/GOSettingBool.cpp
settings/GOSettingDirectory.cpp
settings/GOSettingEnum.cpp
settings/GOSettingFile.cpp
settings/GOSettingFloat.cpp
settings/GOSettingStore.cpp
settings/GOSettingString.cpp
GOStandardFile.cpp
GOStdPath.cpp
temperaments/GOTemperament.cpp
temperaments/GOTemperamentCent.cpp
temperaments/GOTemperamentList.cpp
temperaments/GOTemperamentUser.cpp
GOTimer.cpp
GOUtil.cpp
GOWave.cpp
GOWavPack.cpp
GOWavPackWriter.cpp
)

BUILD_LIBRARY(GrandOrgueCore ${src})
target_link_libraries(GrandOrgueCore ${wxWidgets_LIBRARIES} ${WAVPACK_LIBRARIES} ${ZLIB_LIBRARIES})
link_directories(${wxWidgets_LIBRARY_DIRS} ${WAVPACK_LIBDIR} ${ZLIB_LIBDIR})

=== src/grandorgue/CMakeLists.txt ===
# Copyright 2006 Milan Digital Audio LLC
# Copyright 2009-2022 GrandOrgue contributors (see AUTHORS)
# License GPL-2.0 or later (https://www.gnu.org/licenses/old-licenses/gpl-2.0.html).

include(${CMAKE_SOURCE_DIR}/cmake/AddLinkerOption.cmake)
include(${CMAKE_SOURCE_DIR}/cmake/CopyWxTranslations.cmake)
include(${CMAKE_SOURCE_DIR}/cmake/CopyDependencies.cmake)

add_option(-mmmx)
add_option(-msse)
add_option(-msse2)
add_option(-msse3)

add_option(-mstackrealign)

find_package(wxWidgets REQUIRED html net adv core base)
include(${wxWidgets_USE_FILE})

include_directories(${CMAKE_BINARY_DIR}/src/core/go_defs.h ${CMAKE_CURRENT_SOURCE_DIR}/resource ${CMAKE_SOURCE_DIR}/src/core)
include_directories(${RT_INCLUDE_DIRS})
include_directories(${PORTAUDIO_INCLUDE_DIRS})
include_directories(${ZITACONVOLVER_INCLUDE_DIRS})
include_directories(${FFTW_INCLUDE_DIRS})
include_directories(${wxWidgets_INCLUDE_DIRS})
include_directories(${JACK_INCLUDE_DIRS})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

set(grandorgue_src
config/GOConfig.cpp
config/GOMidiDeviceConfig.cpp
config/GOMidiDeviceConfigList.cpp
config/GOPortsConfig.cpp
config/GOPortFactory.cpp
dialogs/common/GODialogCloser.cpp
dialogs/common/GODialogTab.cpp
dialogs/common/GOTabbedDialog.cpp
dialogs/midi-event/GOMidiEventDialog.cpp
dialogs/midi-event/GOMidiEventKeyTab.cpp
dialogs/midi-event/GOMidiEventRecvTab.cpp
dialogs/midi-event/GOMidiEventSendTab.cpp
dialogs/settings/GOSettingsAudio.cpp
dialogs/settings/GOSettingsDialog.cpp
dialogs/settings/GOSettingsMidiDeviceList.cpp
dialogs/settings/GOSettingsMidiDevices.cpp
dialogs/settings/GOSettingsMidiMatchDialog.cpp
dialogs/settings/GOSettingsMidiMessage.cpp
dialogs/settings/GOSettingsPaths.cpp
dialogs/settings/GOSettingsPorts.cpp
dialogs/settings/GOSettingsOptions.cpp
dialogs/settings/GOSettingsOrgans.cpp
dialogs/settings/GOSettingsReverb.cpp
dialogs/settings/GOSettingsTemperaments.cpp
dialogs/GOMidiListDialog.cpp
dialogs/GOOrganDialog.cpp
dialogs/GOProgressDialog.cpp
dialogs/GOSelectOrganDialog.cpp
dialogs/GOSplash.cpp
document-base/GODocumentBase.cpp
document-base/GOView.cpp
gui/GOGUIBankedGeneralsPanel.cpp
gui/GOGUIButton.cpp
gui/GOGUICrescendoPanel.cpp
gui/GOGUIControl.cpp
gui/GOGUICouplerPanel.cpp
gui/GOGUIDisplayMetrics.cpp
gui/GOGUIDivisionalsPanel.cpp
gui/GOGUILayoutEngine.cpp
gui/GOGUIHW1DisplayMetrics.cpp
gui/GOGUISetterDisplayMetrics.cpp
gui/GOGUIEnclosure.cpp
gui/GOGUIFloatingPanel.cpp
gui/GOGUIHW1Background.cpp
gui/GOGUIImage.cpp
gui/GOGUILabel.cpp
gui/GOGUIManual.cpp
gui/GOGUIManualBackground.cpp
gui/GOGUIMasterPanel.cpp
gui/GOGUIMetronomePanel.cpp
gui/GOGUIPanel.cpp
gui/GOGUIPanelWidget.cpp
gui/GOGUIRecorderPanel.cpp
gui/GOGUISequencerPanel.cpp
help/GOHelpController.cpp
help/GOHelpRequestor.cpp
midi/ports/GOMidiInPort.cpp
midi/ports/GOMidiOutPort.cpp
midi/ports/GOMidiPort.cpp
midi/ports/GOMidiPortFactory.cpp
midi/ports/GOMidiRtPortFactory.cpp
midi/ports/GOMidiRtInPort.cpp
midi/ports/GOMidiRtOutPort.cpp
midi/GOMidi.cpp
midi/GOMidiListener.cpp
midi/GOMidiInputMerger.cpp
midi/GOMidiOutputMerger.cpp
midi/GOMidiPlayer.cpp
midi/GOMidiPlayerContent.cpp
midi/GOMidiSender.cpp
midi/GOMidiReceiver.cpp
midi/GOMidiRecorder.cpp
sound/ports/GOSoundJackPort.cpp
sound/ports/GOSoundPort.cpp
sound/ports/GOSoundPortFactory.cpp
sound/ports/GOSoundPortaudioPort.cpp
sound/ports/GOSoundRtPort.cpp
sound/scheduler/GOSoundGroupWorkItem.cpp
sound/scheduler/GOSoundOutputWorkItem.cpp
sound/scheduler/GOSoundReleaseWorkItem.cpp
sound/scheduler/GOSoundScheduler.cpp
sound/scheduler/GOSoundThread.cpp
sound/scheduler/GOSoundTouchWorkItem.cpp
sound/scheduler/GOSoundTremulantWorkItem.cpp
sound/scheduler/GOSoundWindchestWorkItem.cpp
sound/GOSoundAudioSection.cpp
sound/GOSoundEngine.cpp
sound/GOSoundProvider.cpp
sound/GOSoundProviderSynthedTrem.cpp
sound/GOSoundProviderWave.cpp
sound/GOSoundRecorder.cpp
sound/GOSoundReverb.cpp
sound/GOSoundReverbEngine.cpp
sound/GOSoundReverbPartition.cpp
sound/GOSoundResample.cpp
sound/GOSoundSamplerPool.cpp
sound/GOSound.cpp
GOAudioGauge.cpp
GOAudioRecorder.cpp
GOCache.cpp
GOCacheCleaner.cpp
GOCacheWriter.cpp
GOCombinationDefinition.cpp
GOCombination.cpp
GOBitmap.cpp
GOBitmapCache.cpp
GOButton.cpp
GOCoupler.cpp
GODC.cpp
GODivisional.cpp
GODivisionalCoupler.cpp
GODummyPipe.cpp
GODrawStop.cpp
GOElementCreator.cpp
GOEnclosure.cpp
GOEvent.cpp
GOFilename.cpp
GOFont.cpp
GOFrameGeneral.cpp
GOGeneral.cpp
GOKeyReceiver.cpp
GOLabel.cpp
GOLog.cpp
GOLogWindow.cpp
GOManual.cpp
GOMetronome.cpp
GOMainWindowData.cpp
GOModel.cpp
GOPipe.cpp
GOPipeConfig.cpp
GOPipeConfigNode.cpp
GOPipeConfigTreeNode.cpp
GOPiston.cpp
GOProperties.cpp
GOPushbutton.cpp
GORank.cpp
GOReferencePipe.cpp
GOReleaseAlignTable.cpp
GOSetter.cpp
GOSetterButton.cpp
GOSoundingPipe.cpp
GOStop.cpp
GOTremulant.cpp
GOWindchest.cpp
GOSwitch.cpp
GODefinitionFile.cpp
GOFrame.cpp
GODocument.cpp
GOPanelView.cpp
)

if (USE_INTERNAL_ZITACONVOLVER)
  list(APPEND grandorgue_src ${CMAKE_SOURCE_DIR}/submodules/ZitaConvolver/source/zita-convolver.cc)
endif()

add_library(golib STATIC ${grandorgue_src})
set(go_libs ${wxWidgets_LIBRARIES} ${RT_LIBRARIES} ${PORTAUDIO_LIBRARIES} ${FFTW_LIBRARIES} ${ZITACONVOLVER_LIBRARIES})
set(go_libdir ${wxWidgets_LIBRARY_DIRS} ${RT_LIBDIR} ${PORTAUDIO_LIBDIR} ${FFTW_LIBDIR})
target_link_libraries(golib GrandOrgueImages GrandOrgueCore ${go_libs})
link_directories(${go_libdir})

if (WIN32)
   set_source_files_properties("${RESOURCEDIR}/GrandOrgue.rc" PROPERTIES GENERATED "YES")
   add_executable(GrandOrgue WIN32 GOApp.cpp "${RESOURCEDIR}/GrandOrgue.rc")
   add_dependencies(GrandOrgue resources) # GrandOrgue.rc and GrandOrgue.manifest & GOIcon.ico referenced from GrandOrgue.rc
   add_linker_option(GrandOrgue large-address-aware)
else ()
   add_executable(GrandOrgue GOApp.cpp)
endif ()

BUILD_EXECUTABLE(GrandOrgue)
target_link_libraries(GrandOrgue golib)

if (INSTALL_DEPEND STREQUAL "ON")
  CopyWxTranslations()
  CopyDependencies(GrandOrgue "${BININSTDIR}/GrandOrgue${CMAKE_EXECUTABLE_SUFFIX}" ${go_libs} ${go_libdir})
endif()

if (GO_USE_JACK STREQUAL "ON")
   add_definitions(-DGO_USE_JACK)
   target_link_libraries(GrandOrgue PkgConfig::JACK)
endif ()

=== src/tools/CMakeLists.txt ===
# Copyright 2006 Milan Digital Audio LLC
# Copyright 2009-2022 GrandOrgue contributors (see AUTHORS)
# License GPL-2.0 or later (https://www.gnu.org/licenses/old-licenses/gpl-2.0.html).

add_option(-mmmx)
add_option(-msse)
add_option(-msse2)
add_option(-msse3)

add_option(-mstackrealign)

include(UsewxWidgets)

include_directories(${CMAKE_BINARY_DIR}/src/core/go_defs.h ${CMAKE_SOURCE_DIR}/src/core)

if (WIN32)
   set_source_files_properties("${RESOURCEDIR}/GrandOrgue.rc" PROPERTIES GENERATED "YES")
   add_executable(GrandOrgueTool GOTool.cpp "${RESOURCEDIR}/GrandOrgue.rc")
   add_dependencies(GrandOrgueTool resources) # GrandOrgue.rc and GrandOrgue.manifest & GOIcon.ico referenced from GrandOrgue.rc
   add_linker_option(GrandOrgueTool large-address-aware)
else ()
   add_executable(GrandOrgueTool GOTool.cpp)
endif ()

BUILD_EXECUTABLE(GrandOrgueTool)
target_link_libraries(GrandOrgueTool GrandOrgueCore)

add_executable(GrandOrguePerfTest GOPerfTest.cpp)
BUILD_EXECUTABLE(GrandOrguePerfTest)
target_include_directories(GrandOrguePerfTest PUBLIC ${CMAKE_SOURCE_DIR}/src/grandorgue)
target_link_libraries(GrandOrguePerfTest golib)

add_custom_target(runperftest COMMAND GrandOrguePerfTest "${CMAKE_SOURCE_DIR}/tests" DEPENDS GrandOrguePerfTest)

if (GO_USE_JACK STREQUAL "ON")
   target_link_libraries(GrandOrguePerfTest PkgConfig::JACK)
endif ()

=== debian/changelog ===
grandorgue (3.6.6-1) unstable; urgency=medium

  * New upstream version 3.6.6

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 04 May 2022 11:28:29 +0200

=== debian/control ===
Source: grandorgue
Maintainer: Sébastien Villemot <sebastien@debian.org>
Section: sound
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libjack-dev,
               librtaudio-dev,
               librtmidi-dev,
               portaudio19-dev,
               libfftw3-dev,
               zlib1g-dev,
               libwavpack-dev,
               libwxgtk3.0-gtk3-dev,
               libzita-convolver-dev,
               imagemagick,
               librsvg2-bin,
               gettext,
               xsltproc,
               docbook-xsl,
               zip,
               po4a
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian/grandorgue
Vcs-Git: https://salsa.debian.org/debian/grandorgue.git
Homepage: https://github.com/GrandOrgue/grandorgue
Rules-Requires-Root: no

Package: grandorgue
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: grandorgue-demo
Description: sample-based pipe organ simulator
 GrandOrgue allows the user to load and play virtual pipe organs.
 Using sample sets, GrandOrgue is able to combine the individual pipe
 sounds and organ behaviors to simulate a variety of pipe organs.
 .
 When connected to MIDI keyboards and an audio system, it can accurately
 simulate the sound of a real pipe organ.
 .
 The user can create and load organ samplesets using a dedicated file format. A
 demonstration organ sampleset is provided in the grandorgue-demo package.

Package: grandorgue-demo
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Enhances: grandorgue
Description: sample-based pipe organ simulator (demo sampleset)
 GrandOrgue allows the user to load and play virtual pipe organs.
 Using sample sets, GrandOrgue is able to combine the individual pipe
 sounds and organ behaviors to simulate a variety of pipe organs.
 .
 This package contains a demonstration organ sampleset.

## grandorgue 3.8.0

=== debian/changelog ===
grandorgue (3.8.0-1) unstable; urgency=medium

  * New upstream version 3.8.0
  * Switch Build-Depends to libwxgtk3.2-dev (Closes: #1019821)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 17 Sep 2022 14:14:53 +0200

grandorgue (3.7.1-1) unstable; urgency=medium

  * New upstream version 3.7.1
  * Update standards version to 4.6.1, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 04 Sep 2022 16:00:33 +0200

## grandorgue 3.9.0

=== debian/changelog ===
grandorgue (3.9.0-1) unstable; urgency=medium

  * New upstream version 3.9.0

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 04 Nov 2022 23:46:11 +0100

## grandorgue 3.9.1

=== debian/changelog ===
grandorgue (3.9.1-1) unstable; urgency=medium

  * New upstream version 3.9.1

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 20 Nov 2022 22:28:05 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DUSE_INTERNAL_RTAUDIO=OFF -DUSE_INTERNAL_PORTAUDIO=OFF -DUSE_INTERNAL_ZITACONVOLVER=OFF -DBUILD_VERSION=debian

## grandorgue 3.9.2

=== debian/changelog ===
grandorgue (3.9.2-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 3.9.2

  [ Helmut Grohne ]
  * Fix FTCBFS: Build build tools natively (Closes: #1025359)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 07 Dec 2022 20:38:16 +0100

## grandorgue 3.9.4

=== src/core/CMakeLists.txt ===
--- 
+++ 
@@ -10,12 +10,6 @@
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
 
 set(src
-contrib/sha1.cpp
-threading/GOCondition.cpp
-threading/GOMutex.cpp
-threading/GOWaitQueue.cpp
-threading/GOThread.cpp
-threading/threading_impl.cpp
 archive/GOArchive.cpp
 archive/GOArchiveCreator.cpp
 archive/GOArchiveFile.cpp
@@ -24,31 +18,21 @@
 archive/GOArchiveManager.cpp
 archive/GOArchiveReader.cpp
 archive/GOArchiveWriter.cpp
-GOCompress.cpp
 config/GOConfigFileReader.cpp
 config/GOConfigFileWriter.cpp
 config/GOConfigReader.cpp
 config/GOConfigReaderDB.cpp
 config/GOConfigWriter.cpp
-GOEventDistributor.cpp
-GOHash.cpp
-GOInvalidFile.cpp
-GOKeyConvert.cpp
-GOKeyReceiverData.cpp
-GOLoadThread.cpp
-GOMemoryPool.cpp
+contrib/sha1.cpp
+files/GOStdFileName.cpp
 midi/GOMidiEvent.cpp
 midi/GOMidiFileReader.cpp
 midi/GOMidiMap.cpp
+midi/GOMidiEventPattern.cpp
 midi/GOMidiReceiverBase.cpp
-midi/GOMidiReceiverData.cpp
-midi/GOMidiSenderData.cpp
+midi/GOMidiReceiverEventPatternList.cpp
+midi/GOMidiSenderEventPatternList.cpp
 midi/GOMidiWXEvent.cpp
-GOOrgan.cpp
-GOOrganList.cpp
-GOPath.cpp
-GORodgers.cpp
-GOSampleStatistic.cpp
 settings/GOSetting.cpp
 settings/GOSettingBool.cpp
 settings/GOSettingDirectory.cpp
@@ -57,12 +41,27 @@
 settings/GOSettingFloat.cpp
 settings/GOSettingStore.cpp
 settings/GOSettingString.cpp
-GOStandardFile.cpp
-GOStdPath.cpp
+threading/GOCondition.cpp
+threading/GOMutex.cpp
+threading/GOThread.cpp
+threading/threading_impl.cpp
 temperaments/GOTemperament.cpp
 temperaments/GOTemperamentCent.cpp
 temperaments/GOTemperamentList.cpp
 temperaments/GOTemperamentUser.cpp
+GOCompress.cpp
+GOHash.cpp
+GOInvalidFile.cpp
+GOKeyConvert.cpp
+GOKeyReceiverData.cpp
+GOMemoryPool.cpp
+GOOrgan.cpp
+GOOrganList.cpp
+GOPath.cpp
+GORodgers.cpp
+GOSampleStatistic.cpp
+GOStandardFile.cpp
+GOStdPath.cpp
 GOTimer.cpp
 GOUtil.cpp
 GOWave.cpp

=== src/grandorgue/CMakeLists.txt ===
--- 
+++ 
@@ -26,11 +26,26 @@
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
 
 set(grandorgue_src
+combinations/control/GOGeneralButtonControl.cpp
+combinations/control/GODivisionalButtonControl.cpp
+combinations/model/GOCombination.cpp
+combinations/model/GOCombinationDefinition.cpp
+combinations/model/GODivisionalCombination.cpp
+combinations/model/GOGeneralCombination.cpp
+combinations/GODivisionalSetter.cpp
+combinations/GOSetter.cpp
 config/GOConfig.cpp
 config/GOMidiDeviceConfig.cpp
 config/GOMidiDeviceConfigList.cpp
 config/GOPortsConfig.cpp
 config/GOPortFactory.cpp
+control/GOButtonControl.cpp
+control/GOCallbackButtonControl.cpp
+control/GOElementCreator.cpp
+control/GOEventDistributor.cpp
+control/GOLabelControl.cpp
+control/GOPistonControl.cpp
+control/GOPushbuttonControl.cpp
 dialogs/common/GODialogCloser.cpp
 dialogs/common/GODialogTab.cpp
 dialogs/common/GOTabbedDialog.cpp
@@ -82,6 +97,9 @@
 gui/GOGUISequencerPanel.cpp
 help/GOHelpController.cpp
 help/GOHelpRequestor.cpp
+loader/GOFileStore.cpp
+loader/GOLoaderFilename.cpp
+loader/GOLoadThread.cpp
 midi/ports/GOMidiInPort.cpp
 midi/ports/GOMidiOutPort.cpp
 midi/ports/GOMidiPort.cpp
@@ -98,6 +116,22 @@
 midi/GOMidiSender.cpp
 midi/GOMidiReceiver.cpp
 midi/GOMidiRecorder.cpp
+model/pipe-config/GOPipeConfig.cpp
+model/pipe-config/GOPipeConfigNode.cpp
+model/pipe-config/GOPipeConfigTreeNode.cpp
+model/GODummyPipe.cpp
+model/GOEnclosure.cpp
+model/GOEventHandlerList.cpp
+model/GOManual.cpp
+model/GOOrganModel.cpp
+model/GOPipe.cpp
+model/GORank.cpp
+model/GOReferencePipe.cpp
+model/GOSoundingPipe.cpp
+model/GOStop.cpp
+model/GOSwitch.cpp
+model/GOTremulant.cpp
+model/GOWindchest.cpp
 sound/ports/GOSoundJackPort.cpp
 sound/ports/GOSoundPort.cpp
 sound/ports/GOSoundPortFactory.cpp
@@ -128,50 +162,22 @@
 GOCache.cpp
 GOCacheCleaner.cpp
 GOCacheWriter.cpp
-GOCombinationDefinition.cpp
-GOCombination.cpp
 GOBitmap.cpp
 GOBitmapCache.cpp
-GOButton.cpp
 GOCoupler.cpp
 GODC.cpp
-GODivisional.cpp
 GODivisionalCoupler.cpp
-GODummyPipe.cpp
 GODrawStop.cpp
-GOElementCreator.cpp
-GOEnclosure.cpp
 GOEvent.cpp
-GOFilename.cpp
 GOFont.cpp
-GOFrameGeneral.cpp
-GOGeneral.cpp
 GOKeyReceiver.cpp
-GOLabel.cpp
 GOLog.cpp
 GOLogWindow.cpp
-GOManual.cpp
 GOMetronome.cpp
 GOMainWindowData.cpp
-GOModel.cpp
-GOPipe.cpp
-GOPipeConfig.cpp
-GOPipeConfigNode.cpp
-GOPipeConfigTreeNode.cpp
-GOPiston.cpp
+GOOrganController.cpp
 GOProperties.cpp
-GOPushbutton.cpp
-GORank.cpp
-GOReferencePipe.cpp
 GOReleaseAlignTable.cpp
-GOSetter.cpp
-GOSetterButton.cpp
-GOSoundingPipe.cpp
-GOStop.cpp
-GOTremulant.cpp
-GOWindchest.cpp
-GOSwitch.cpp
-GODefinitionFile.cpp
 GOFrame.cpp
 GODocument.cpp
 GOPanelView.cpp
@@ -188,10 +194,10 @@
 link_directories(${go_libdir})
 
 if (WIN32)
-   set_source_files_properties("${RESOURCEDIR}/GrandOrgue.rc" PROPERTIES GENERATED "YES")
-   add_executable(GrandOrgue WIN32 GOApp.cpp "${RESOURCEDIR}/GrandOrgue.rc")
-   add_dependencies(GrandOrgue resources) # GrandOrgue.rc and GrandOrgue.manifest & GOIcon.ico referenced from GrandOrgue.rc
-   add_linker_option(GrandOrgue large-address-aware)
+  set_source_files_properties("${RESOURCEDIR}/GrandOrgue.rc" PROPERTIES GENERATED "YES")
+  add_executable(GrandOrgue WIN32 GOApp.cpp "${RESOURCEDIR}/GrandOrgue.rc")
+  add_dependencies(GrandOrgue resources) # GrandOrgue.rc and GrandOrgue.manifest & GOIcon.ico referenced from GrandOrgue.rc
+  add_linker_option(GrandOrgue large-address-aware)
 else ()
    add_executable(GrandOrgue GOApp.cpp)
 endif ()
@@ -204,7 +210,7 @@
   CopyDependencies(GrandOrgue "${BININSTDIR}/GrandOrgue${CMAKE_EXECUTABLE_SUFFIX}" ${go_libs} ${go_libdir})
 endif()
 
-if (GO_USE_JACK STREQUAL "ON")
+if (GO_USE_JACK)
    add_definitions(-DGO_USE_JACK)
-   target_link_libraries(GrandOrgue PkgConfig::JACK)
+   target_link_libraries(golib PkgConfig::JACK)
 endif ()

=== debian/changelog ===
grandorgue (3.9.4-1build1) lunar; urgency=medium

  * No-change rebuild against wxwidgets 3.2.1

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 20 Jan 2023 13:26:51 +0000

grandorgue (3.9.4-1) unstable; urgency=medium

  * New upstream version 3.9.4
  * d/copyright: reflect upstream changes

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 16 Dec 2022 22:47:54 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libfftw3-dev,
                zlib1g-dev,
                libwavpack-dev,
-               libwxgtk3.0-gtk3-dev,
+               libwxgtk3.2-dev,
                libzita-convolver-dev,
                imagemagick,
                librsvg2-bin,
@@ -20,7 +20,7 @@
                docbook-xsl,
                zip,
                po4a
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/grandorgue
 Vcs-Git: https://salsa.debian.org/debian/grandorgue.git
 Homepage: https://github.com/GrandOrgue/grandorgue
